Get Withdrawal by ID
curl --request GET \
--url https://api.ondoperps.xyz/v1/wallet/withdrawals/{withdrawalID} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ondoperps.xyz/v1/wallet/withdrawals/{withdrawalID}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ondoperps.xyz/v1/wallet/withdrawals/{withdrawalID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"result": {
"coin": "USDC",
"size": "500.00",
"status": "complete",
"address": "0x054A94b753CBf65D1Bc484F6D41897b48251fbfF",
"withdrawal_id": "w_9f8e7d6c5b4a3210",
"txid": "0xdef456...",
"customer_withdrawal_id": "my-withdrawal-001",
"time": "2025-02-20T15:45:00Z",
"usdValue": "500.00",
"usdFee": "0.00",
"chainId": "1",
"from": {
"id": "10458932786832481",
"wallet": "margin"
}
}
}{
"success": false,
"error": "Description of the error",
"error_code": "withdrawal_not_found"
}{
"success": false,
"error": "Description of the error",
"error_code": "auth_missing"
}{
"success": false,
"error": "Description of the error",
"error_code": "account_not_allowed"
}{
"success": false,
"error": "Description of the error",
"error_code": "too_many_requests"
}{
"success": false,
"error": "Description of the error",
"error_code": "unknown"
}Wallet
Get Withdrawal by ID
Returns a single withdrawal by transaction ID. For the withdrawal process and timing, see Withdrawals.
GET
/
v1
/
wallet
/
withdrawals
/
{withdrawalID}
Get Withdrawal by ID
Authorizations
BearerAuthApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Withdrawal
Whether the request was successful
Example:
true
Error message, present only on failure
Example:
""
Semantic error code. See each endpoint's error responses for the specific codes it can return.
Deprecation notice, if applicable
Example:
""
Show child attributes
Show child attributes
⌘I